%global forgeurl https://gitlab.torproject.org/tpo/anti-censorship/pluggable-transports/meek
%global version 0.38.0
%global commit 169616fbbfbd6f988a65a8512c57f3af20ee9d26
%global date 20240318
%global gomodulesmode GO111MODULE=on
%global source_date_epoch_from_changelog 0
%global _enable_debug_packages 0
%forgemeta

Name: meek
Version: %{forgeversion}
Release: %{autorelease}
Summary: Meek pluggable transport for Tor
License: CC0-1.0
URL: %{forgeurl}
Source0: %{forgesource}
Source1: %{name}.howto
BuildRequires: git-core
BuildRequires: golang-bin
BuildRequires: go-rpm-macros

%description
Meek is a pluggable transport for Tor.
This transport relies on HTTPS and CDNs for domain fronting.

%prep
%forgesetup
for CMD in client server
do %__mv -f %{name}-${CMD} ${CMD}
done

%build
export GOPROXY="https://proxy.golang.org,direct"
export GOFLAGS="-trimpath"
export GO_LDFLAGS="-s -w"
for CMD in client server
do %gobuild -o %{name}-${CMD} ./${CMD}
done

%install
for CMD in client server
do
%__install -p -D -m 755 -t %{buildroot}%{_bindir} %{name}-${CMD}
%__install -p -D -m 644 -t %{buildroot}%{_mandir}/man1 doc/%{name}-${CMD}.1
%__install -p -D -m 644 ${CMD}/torrc %{buildroot}%{_pkgdocdir}/${CMD}.torrc
done
%__install -p -D -m 644 -t %{buildroot}%{_pkgdocdir} %{SOURCE1} README
%__install -p -D -m 644 server/README %{buildroot}%{_pkgdocdir}/README-server

%files
%license COPYING
%doc %{_pkgdocdir}
%{_bindir}/*
%{_mandir}/man1/*
